com.ihr.xbrl.om.formula.util

## Enum XFIImplicitFilterOptimizer.Type

- java.lang.Object
- - java.lang.Enum<XFIImplicitFilterOptimizer.Type>
  - - com.ihr.xbrl.om.formula.util.XFIImplicitFilterOptimizer.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XFIImplicitFilterOptimizer.Type>
  Enclosing class:
    XFIImplicitFilterOptimizer

      public static enum XFIImplicitFilterOptimizer.Type
      extends java.lang.Enum<XFIImplicitFilterOptimizer.Type>

  The Enum Type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NON_NILL` The non nill.
    `RAW` The raw.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XFIImplicitFilterOptimizer.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XFIImplicitFilterOptimizer.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RAW

          public static final XFIImplicitFilterOptimizer.Type RAW

      The raw.

    - #### NON_NILL

          public static final XFIImplicitFilterOptimizer.Type NON_NILL

      The non nill.

  - ### Method Detail

    - #### values

          public static XFIImplicitFilterOptimizer.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XFIImplicitFilterOptimizer.Type c : XFIImplicitFilterOptimizer.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XFIImplicitFilterOptimizer.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null